'use strict';

var preact = require('preact');

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

function Button(_ref) {
  var title = _ref.title,
      url = _ref.url,
      external = _ref.external,
      theme = _ref.theme;

  if ((typeof theme === 'undefined' ? 'undefined' : _typeof(theme)) === 'object') theme = theme.slug;
  return preact.h(
    'a',
    _extends({
      'class': 'g-btn' + (theme ? ' ' + theme : '')
    }, url && { href: url }, external && { rel: 'noopener', target: '_blank' }),
    title
  );
}

module.exports = Button;
